Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class XMLRegionMap

    public class XMLRegionMap
    extends java.lang.Object

The XMLRegionMap class handles mapping duties from an XML Region to a Line Style Constant.

## Method Summary

`public static org.eclipse.wst.xsl.ui.internal.style.XMLRegionMap` | `getInstance()` Returns an instance of the XMLRegionMap Class
`public java.util.Map` | `getRegionMap()` Returns a mapping of XML Regions to Style Constants

## Methods Detail

## getInstance

`public org.eclipse.wst.xsl.ui.internal.style.XMLRegionMap getInstance()`

Returns an instance of the XMLRegionMap Class

### Returns

`org.eclipse.wst.xsl.ui.internal.style.XMLRegionMap`

## getRegionMap

`public java.util.Map getRegionMap()`

Returns a mapping of XML Regions to Style Constants

### Returns

`java.util.Map`